using System;
using System.Drawing;
using UpToolLib.DataStructures;
using UpToolLib.v1.Tool;

namespace UpToolLib.v2
{
    public class AppFactory
    {
        private readonly PathTool _pathTool;

        internal AppFactory(PathTool pathTool) => _pathTool = pathTool;

        public App CreateApp(string name, string description, Version version, string file, bool local, string hash,
            Guid iD, Color color, object icon, bool runnable, string mainFile) =>
            new(name, description, version, file, local, hash, iD, color, icon, runnable, mainFile, _pathTool);
    }
}