﻿using System.Xml.Linq;
using UpToolLib.v1.Tool;

namespace UpToolLib.v2
{
    public class UpdateChecker
    {
        private readonly PathTool _pathTool;
        public UpdateCheck Check() => Check(XDocument.Load(_pathTool.InfoXml).Element("meta").Element("UpdateSource").Value);
        public UpdateCheck Check(string source) => new(XDocument.Load(source).Element("meta"));
        internal UpdateChecker(PathTool pathTool) => _pathTool = pathTool;
    }
}